Issue with using the Skuid component in Lightning App Builder Pages

  • 4
  • Announcement
  • Updated 5 months ago
  • (Edited)
Problem: Using the Skuid component in Lightning App Builder pages is currently yielding an error: 
  • A component error has occurred!
  • [There was an error rendering a Skuid Page component for page ___ TypeError: Cannot read property ___]
Who may be affected:
  • Skuid clients using the Skuid component to bring Skuid pages into Lightning App Builder Pages
Who should NOT be affected (please let us know if you are affected!!!):
  • Skuid clients NOT using Lightning
  • Skuid clients using VisualForce to display Skuid pages in Lightning
Workaround:
  1. Create a VisualForce page for your Skuid page as shown here: https://docs.skuid.com/latest/en/skuid/deploy/salesforce/visualforce/#visualforce-markup-overview
  2. Bring that VisualForce page into your Lightning App Builder page as explained here: https://docs.skuid.com/latest/en/skuid/deploy/salesforce/lightning/#visualforce-page-lightning-compo...
What is being done:
  • Skuid opened a case with Salesforce about this issue. We are working collaboratively to get this issue resolved ASAP.  
  • Skuid product engineering is investigating what Skuid can do.
We will provide updates here.

Thank you for your patience as we work to get this resolved! 
Photo of Karen Waldschmitt

Karen Waldschmitt, Official Rep

  • 8,840 Points 5k badge 2x thumb

Posted 5 months ago

  • 4
Photo of Karen Waldschmitt

Karen Waldschmitt, Official Rep

  • 8,840 Points 5k badge 2x thumb
Official Response
Update:

Root Cause:

  • A patch released by Salesforce impacted the ability to use the Skuid component on Lightning App Builder pages.
Progress:
  • Salesforce: We have escalated our case with Salesforce and R&D is investigating.
  • Skuid: Skuid product engineering published a hotfix (Spark 12.0.11 and Millau 11.2.22) that resolves the issue.
What to do if you are affected?
  • Skuid recommends testing the hotfix closest to your current version. These patches are now available on the Skuid Releases page. As a reminder, Salesforce does NOT allow reverting back to prior versions of managed packages. Skuid always recommends installing new versions in a non-business critical sandbox environment to test all mission critical functionality before installing into a production environment. We also recommend that you update out of date themes when you upgrade. Please let us know if you continue to encounter any problems with this issue after upgrading.
  • If you are unable to upgrade at this time, please use the workaround offered previously.
Thanks!
Karen
Photo of Karen Waldschmitt

Karen Waldschmitt, Official Rep

  • 8,840 Points 5k badge 2x thumb
Official Response
Update:

Salesforce released a patch that resolves the issue. If you upgraded your Skuid versions, you are now doubly set :)

If you are still affected, please let us know by sending an email to support@skuid.com.

Thanks!
Karen